# Auth Credentials

## Overview

Auth Credentials are used by Laminar to make requests on protected API Endpoints described by API Descriptions.

Laminar supports various types of Authentication.

## AuthCredentials Model

| Field    | Type            |
| -------- | --------------- |
| id       | Integer (int64) |
| name     | String          |
| authType | String          |

#### OAuth Client Credentials Grant

| Field        | Type   |
| ------------ | ------ |
| clientId     | String |
| clientSecret | String |
| tokenUrl     | String |
| token        | String |

#### OAuth Password Credentials Grant

| Field        | Type   |
| ------------ | ------ |
| clientId     | String |
| clientSecret | String |
| tokenUrl     | String |
| username     | String |
| password     | String |

#### API Key Authentication

| Field  | Type   |
| ------ | ------ |
| apiKey | String |

#### Bearer Token Authentication

| Field | Type   |
| ----- | ------ |
| token | String |

#### Basic Authentication

| Field    | Type   |
| -------- | ------ |
| username | String |
| password | String |

#### Custom Authentication

| Field               | Type   |
| ------------------- | ------ |
| authorizationHeader | String |
| token               | String |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.laminar.run/debugging-an-integration/auth-credentials.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
